clear
set mem 500m
set more 1

*******************************************
*
* CREATE CCAP VALIDATED VOTE DATA SET
*
*******************************************
*** STACK VOTE HISTORY FILES
use "..\SourcesFilesNotInArchive\ccap0001_yal_post_lvecon_vh_output.dta", clear
save "..\SourcesFilesNotInArchive\VH1.dta", replace
use "..\SourcesFilesNotInArchive\ccap0001_yal_post_vh_output.dta", clear
save "..\SourcesFilesNotInArchive\VH2.dta", replace
append using "..\SourcesFilesNotInArchive\VH1.dta"
drop profile59
save "..\SourcesFilesNotInArchive\VH_STACKED.dta", replace

*LOAD YALE PRIVATE CONTENT #1
use "..\SourcesFilesNotInArchive\ccap0001_yal_extra_output_r2_1.dta", clear
recast float caseid, force
*drop everything except income and weight data
keep caseid psweight profile59
save "..\SourcesFilesNotInArchive\matchedsamp1.dta", replace

*Load Yale private content #2 to get weight and income data
use "..\SourcesFilesNotInArchive\ccap0001_yal_output_r2_1.dta", clear
recast float caseid, force
*rename income and weight measures so they don't cause problems with the data merging 
rename psweight psweight2
rename profile59 profile59_1
*drop everything except income and weight data
keep caseid psweight2 profile59_1
save "..\SourcesFilesNotInArchive\matchedsamp2.dta", replace
clear

*Merge stacked vote history into the matched (to target sample) samples
use "..\SourcesFilesNotInArchive\VH_STACKED.dta", clear
joinby caseid using "..\SourcesFilesNotInArchive\matchedsamp1.dta", unmatched(both)
gen mtchrd1=(_merge==3)
drop _merge
joinby caseid using "..\SourcesFilesNotInArchive\matchedsamp2.dta", unmatched(both)
gen mtchrd2=(_merge==3)
drop _merge
replace psweight=psweight2 if psweight==.
replace profile59=profile59_1 if profile59==.
gen matched=mtchrd1+mtchrd2

** KEEP ONLY CASES CORRESPONDING TO DATA THAT PAIRS WITH MATCHED PRIVATE CONTENT FILES 
keep if matched==1

*** DROP UNUSED VARIABLES
keep vh_p2000 vh_g2000 vh_p2002 vh_g2002 vh_p2004 vh_g2004 vh_p2006 vh_g2006 profile66 profile54 profile55 profile57 profile59 profile51 profile40-profile49 post_yal161-post_yal204 bcap700s bcap20 bcap24 profile15 profile19 pcap600 bcap813 psweight vh_matched

save "sourcedata\ccap_validated.dta", replace


*******************************************
*
* TRIM CCES 2009 DATA SET
*
*******************************************
use "..\SourcesFilesNotInArchive\cces09_cmn_nomiss.dta", clear

keep v200 v259 v211 v288 v208 v213 v246 v261 cc09_56 cc09_53 cc09_54 cc09_07a-cc09_07j

save "sourcedata\cces_2009.dta", replace

